Redmine - Feature #2897
Tagging in Redmine
2009-03-04 15:10 - karthikeyan rangaswamy

Status: New Start date: 2009-03-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution:

Description

| Want To Implement the tagging functionality in redmine.In One of the posts somebody has mentioned that Tagging can be done by
creating a custom field .| want to Implement this tagging functionality in News,Documents,Forums,Wkis etc.If this is the case How
can | use the custom fields to implement tagging functionality.

Is there any separate plugin to Implement the tagging functionality.l tried with acts_as_taggable plugin.The Problem is that | could
not able to Install the plugin and also in somewhere it has mentioned that Acts_as_taggable does not work with Rails 2.0.1 am runing
Redmine 8.0 and it uses Rails 2.0.So Please Guide me in this issue

How can | Implement This Tagging Functionality in Redmine

Related issues:

Related to Redmine - Feature #480: Wiki: Support categories tagging and autol... New

Related to Redmine - Feature #1448: Add tags to issues New 2008-06-14
Has duplicate Redmine - Feature #6918: Tag system on issues, wiki entries, ev... Closed 2010-11-16
History

#1 - 2009-03-17 19:14 - Peter Pan

A Tagging system would be a great feature for redmine.

Two tagging versions could be possible:

The user gets a textfield and enters tags (separated by space - linked words are encapsulated in quotes - eg. "tag this string" term2 term3 "term nr 4")
Central tagging handling: The system admin generates a list of tags (similar to the 'user defined fields' - taggroups can be assinged to different
pageareas )

The user then gets the opportunity to check a variable number of tags (within an issue or a project or [most imortant] while booking time)

While beeing a good typo3 and JS programmer, my Ruby on Rails skills are pathetic. Therefore | can just offer my help for testing and
conceptualization!

#2 - 2009-03-30 20:28 - Jens Goldhammer

Maybe you can look at the tagging plugin for trac:
http://trac-hacks.org/wiki/TagsPlugin

It implements a tag cloud of all tags which are entered at the wiki page and tickets...

#3 - 2009-03-31 10:41 - karthikeyan rangaswamy

| Tried Installing that.But it asks me for Proxy Authentication.Are u using that Tags Plugin of TRAC.if so can u tell me how u installed that one.How the
Trac plugin will communicate with redmine

#4 - 2009-03-31 10:59 - Jens Goldhammer

Sorry for misunderstanding me.
This is a plugin for TRAC, not for Redmine. It can only give you ideas how to implement it.

#5 - 2009-05-22 13:44 - Mathew C

This is related to #480 - "Wiki: Support categories tagging and autolisting" and the more general issue #1448 - "Add tags to issues".

Personally tagging would be good for the wiki as pages don't always fit into a neat category so being able to add tags is one step better than just
relying on the good search facilities in Redmine.
#6 - 2010-10-15 15:11 - Steeve McCauley

| would love to see tagging support added to redmine by default as well. This plugin is available and looks like a good start, although | was unable to
install it in our production environment,

http://github.com/friflaj/redmine_tagging#readme

Unfortunately that plugin only seems to tag on issues (not documents, files, wiki pages, etc). It seems that the author of this plugin is actively working
on it, perhaps he could be convinced to add tagging to the redmine codebase proper.

#7 - 2010-11-04 10:27 - Siegfried Vogel

+1
I'd love to see tagging in Redmine's near future, too!

May | add a requirement here: In my Use Case some tags should be protected from being deleted by users with insufficient rights. It could be solved

with something like:
A tag added to an issue by an administrator may not be deleted by a non-admin.

#8 - 2010-11-19 21:44 - James Rowe

Not sure how | missed this when | created my issue, but +1 for sure.

#9 - 2012-02-22 15:27 - Aleksey Timohin

To have built-in tagging would be awesome!

p.s. About GUI: | like how Tags look like in Redmine contacts plugin

#10 - 2012-06-28 17:18 - rm user
Another feature which MUST BE INCLUDED!!!

| tried installing the plugin from http:/github.com/friflaj/redmine_tagging#readme

but unfortunately it breaks other plugins compatability such as show attachments as thumbnails

#11 - 2013-03-17 22:20 - lvan Cenov

https://github.com/ixti/redmine_tags
works in Redmine 2.x.x

#12 - 2013-12-16 17:06 - Paul Dann

| really think tagging needs to be integrated into Redmine core. In a world where many projects are turned around in a short amount of time, in an
increasingly unstructured way, tagging is starting to make more sense than carefully pre-arranged categories and fields. Look at Github, for instance.
| think this needs to be merged, and should receive some more focus to integrate it throughout Redmine.

#13 - 2014-02-07 15:36 - Alain V.

+1000 quite important to have this feature!
Multiple and Transverse possibility!
please

#14 - 2014-02-07 23:22 - Anonymous

+1

#15 - 2014-02-07 23:27 - rm user

don't think it would be implemented anytime soon .. check the date when it was created ... :(

#16 - 2014-02-08 07:39 - lvan Cenov

Also, https:/github.com/ixti/redmine_tags stagnates -- 19 open issues

#17 - 2014-05-12 14:24 - Peter L.

lvan Cenov wrote:

Also, https:/github.com/ixti/redmine_tags stagnates -- 19 open issues

Yeah.. Anybody knows a working implementation for the latest redmine version?
#18 - 2014-07-17 22:43 - Adam Myers

+1

This feature is badly needed. Redmine is spectacular - the devs did a bang-up job - but this is a standard issue-tracker feature and its absence is a
gaping hole.
#19 - 2014-11-01 14:21 - Slawomir CALUCH

+1 this is needed on larger projects where issue should be added to multiple categories.

#20 - 2014-11-24 04:34 - Matthew Seng

+1
Really hope to have this feature to organize our issues.

#21 - 2015-02-10 10:11 - Anonymous

+1 Really need it as native feature

#22 - 2015-11-03 11:00 - Kevin Palm

+1

#23 - 2015-12-11 16:05 - Nikolay Krupiy

+1

#24 - 2015-12-11 16:53 - Mikhail Peshkov

+1

#25 - 2016-04-20 10:41 - Man K

Completely Agree that a tags system is desperately needed in Redmine.

Redmine is indeed a powerful and happy ting to use, tags would make it simply awesome.

| guess, stackoverflow style tagging, issue tracking, and wiki composing would be incredible.

It could make the very process and experience of Redmine usage - Agile, simple and self-intuitive.

| don't know if | am asking too much, but | am sure the superb hacks powering Redmine's evolution, can surely do it.

#26 - 2016-04-20 11:25 - Marius BALTEANU

Man K wrote:

Completely Agree that a tags system is desperately needed in Redmine.

Redmine is indeed a powerful and happy ting to use, tags would make it simply awesome.

| guess, stackoverflow style tagging, issue tracking, and wiki composing would be incredible.

It could make the very process and experience of Redmine usage - Agile, simple and self-intuitive.

| don't know if I am asking too much, but | am sure the superb hacks powering Redmine's evolution, can surely do it.

Please see my note from #1448#note-106
#27 - 2016-04-20 14:53 - lvan Cenov
Man K wrote:
Completely Agree that a tags system is desperately needed in Redmine.
Redmine is indeed a powerful and happy ting to use, tags would make it simply awesome.
| guess, stackoverflow style tagging, issue tracking, and wiki composing would be incredible.

It could make the very process and experience of Redmine usage - Agile, simple and self-intuitive.
| don't know if | am asking too much, but | am sure the superb hacks powering Redmine's evolution, can surely do it.

News and forums can be tagged too...

#28 - 2017-01-06 10:30 - Florian Riedel

+1

#29 - 2017-03-13 15:47 - Fabricio Noda

+1

#30 - 2018-08-26 22:55 - Marius BALTEANU
- Priority changed from High to Normal

I've proposed 2 patches in #1448, please see comment #1448#note-115
